Bug 967890 - Provide additional logging at JndiAction level that would show credentials chosen for manage-domains authentication
Provide additional logging at JndiAction level that would show credentials ch...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3
Assigned To: Tomas Dosek
infra
:
Depends On:
Blocks: 967987
  Show dependency treegraph
 
Reported: 2013-05-28 09:49 EDT by Tomas Dosek
Modified: 2013-09-23 03:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 967987 (view as bug list)
Environment:
Last Closed: 2013-09-23 03:31:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Dosek 2013-05-28 09:49:37 EDT
Description of problem:

Sometimes even debug level doesn't provide enough information on
possible issues. 


Version-Release number of selected component (if applicable):
all

How reproducible:
Special corner case - AD test works fine, however JndiAction fails with No user information found error

Steps to Reproduce:
Have AD with another domain as Subtree. user in the subtree.
Try to use the user and add the subtree domain via engine-manage-domains

Actual results:
Action fails and even in debug mode user cannot get enough information on the issue.

Expected results:
More info like User GUID, URI and ldapServerPath should be displayed in debug mode.
Comment 1 Tomas Dosek 2013-05-28 13:51:22 EDT
Proposed patch: http://gerrit.ovirt.org/15139
Comment 2 Tomas Dosek 2013-05-29 03:32:45 EDT
Repaired patch set (using already created string instead of calling toString() again): http://gerrit.ovirt.org/#/c/15152/
Comment 3 Tomas Dosek 2013-05-30 03:10:09 EDT
Repaired patch set: http://gerrit.ovirt.org/#/c/15176/
Comment 4 Itamar Heim 2013-08-21 12:39:55 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 5 Itamar Heim 2013-09-23 03:31:29 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.